package com.tfg.om.business.model;

import java.io.Serializable;

import javax.persistence.*;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;


/**
 * The persistent class for the contacto database table.
 * 
 */
@Entity
@Table(name="contacto")
@NamedQueries({
	@NamedQuery(name = "Contacto.findAll", query = "SELECT c FROM Contacto c"),
	@NamedQuery(name = "Contacto.findByOficina", query = "SELECT c FROM Contacto c WHERE c.oficina = :oficinavalue")
})
public class Contacto implements Serializable {
	private static final long serialVersionUID = 1L;

	@GeneratedValue
	@Id
	private int id;

	private String nombre;

	//uni-directional many-to-one association to Oficina
	@JoinColumn(name="idoficina")
	@ManyToOne(fetch=FetchType.EAGER)
	private Oficina oficina;

//	//uni-directional many-to-one association to Oportunidad
//	private List<Oportunidad> oportunidads;

	public Contacto() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public Oficina getOficina() {
		return this.oficina;
	}

	public void setOficina(Oficina oficina) {
		this.oficina = oficina;
	}

//	public List<Oportunidad> getOportunidads() {
//		return this.oportunidads;
//	}
//
//	public void setOportunidads(List<Oportunidad> oportunidads) {
//		this.oportunidads = oportunidads;
//	}
//
//	public Oportunidad addOportunidad(Oportunidad oportunidad) {
//		getOportunidads().add(oportunidad);
//		oportunidad.setContacto(this);
//
//		return oportunidad;
//	}
//
//	public Oportunidad removeOportunidad(Oportunidad oportunidad) {
//		getOportunidads().remove(oportunidad);
//		oportunidad.setContacto(null);
//
//		return oportunidad;
//	}

}