package com.tfg.om.business.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;


/**
 * The persistent class for the oficina database table.
 * 
 */
@Entity
@Table(name="oficina")
@NamedQueries({
	@NamedQuery(name = "Oficina.findAll", query = "SELECT o FROM Oficina o"),
	@NamedQuery(name = "Oficina.findByLugar", query = "SELECT o FROM Oficina o WHERE o.lugar = :lugarvalue")
})
public class Oficina implements Serializable {
	private static final long serialVersionUID = 1L;

	@GeneratedValue
	@Id
	private int id;

	@Column(name="NOMBRE_OFICINA")
	private String nombreOficina;

//	//uni-directional many-to-one association to Contacto
//	private List<Contacto> contactos;

	//uni-directional many-to-one association to Lugar
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idlugar")
	private Lugar lugar;

	public Oficina() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNombreOficina() {
		return this.nombreOficina;
	}

	public void setNombreOficina(String nombreOficina) {
		this.nombreOficina = nombreOficina;
	}

//	public List<Contacto> getContactos() {
//		return this.contactos;
//	}
//
//	public void setContactos(List<Contacto> contactos) {
//		this.contactos = contactos;
//	}
//
//	public Contacto addContacto(Contacto contacto) {
//		getContactos().add(contacto);
//		contacto.setOficina(this);
//
//		return contacto;
//	}
//
//	public Contacto removeContacto(Contacto contacto) {
//		getContactos().remove(contacto);
//		contacto.setOficina(null);
//
//		return contacto;
//	}

	public Lugar getLugar() {
		return this.lugar;
	}

	public void setLugar(Lugar lugar) {
		this.lugar = lugar;
	}

}