package com.tfg.om.business.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;


/**
 * The persistent class for the oportunidad database table.
 * 
 */
@Entity
@Table(name="oportunidad")
@NamedQueries({
	@NamedQuery(name = "Oportunidad.findAll", query = "SELECT o FROM Oportunidad o"),
	@NamedQuery(name = "Oportunidad.findById", query = "SELECT o FROM Oportunidad o WHERE o.id =:idvalue"),
	@NamedQuery(name = "Oportunidad.findByEstado", query = "SELECT o FROM Oportunidad o WHERE o.estado = :estadovalue")
})
public class Oportunidad implements Serializable {
	private static final long serialVersionUID = 1L;

	@GeneratedValue
	@Id
	private int id;

	@Column(name="DESCRIPCION")
	private String descripcion;

	@Column(name="DURACION")
	private int duracion;

	@Temporal(TemporalType.DATE)
	@Column(name="FECHA_CREACION")
	private Date fechaCreacion;

	@Temporal(TemporalType.DATE)
	@Column(name="FECHA_MODIFICACION")
	private Date fechaModificacion;

	@Temporal(TemporalType.DATE)
	@Column(name="MES_REFERENCIA")
	private Date mesReferencia;

	@Column(name="NOMBRE_PROYECTO")
	private String nombreProyecto;

	@Column(name="PRECIO_VENTA")
	private double precioVenta;

	@Temporal(TemporalType.DATE)
	@Column(name="PREV_INICIO")
	private Date prevInicio;

	@Column(name="PROBABILIDAD")
	private int probabilidad;

	@Column(name="SOPORTE_COMERCIAL")
	private byte soporteComercial;

	@Column(name="USO_CENTROS")
	private byte usoCentros;

	//uni-directional many-to-one association to Actividad
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idactividad")
	private Actividad actividad;

	//uni-directional many-to-one association to Cliente
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idcliente")
	private Cliente cliente;

	//uni-directional many-to-one association to Contacto
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idcontacto")
	private Contacto contacto;

	//uni-directional many-to-one association to Estado
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idestado")
	private Estado estado;

	//uni-directional many-to-one association to Usuario
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idpropietario")
	private Usuario propietario;

	//uni-directional many-to-one association to Usuario
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idcreador")
	private Usuario creador;

	//uni-directional many-to-one association to Usuario
	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="idmodificador")
	private Usuario modificador;
	
	public Oportunidad() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public int getDuracion() {
		return this.duracion;
	}

	public void setDuracion(int duracion) {
		this.duracion = duracion;
	}

	public Date getFechaCreacion() {
		return this.fechaCreacion;
	}

	public void setFechaCreacion(Date fechaCreacion) {
		this.fechaCreacion = fechaCreacion;
	}

	public Date getFechaModificacion() {
		return this.fechaModificacion;
	}

	public void setFechaModificacion(Date fechaModificacion) {
		this.fechaModificacion = fechaModificacion;
	}

	public Date getMesReferencia() {
		return this.mesReferencia;
	}

	public void setMesReferencia(Date mesReferencia) {
		this.mesReferencia = mesReferencia;
	}

	public String getNombreProyecto() {
		return this.nombreProyecto;
	}

	public void setNombreProyecto(String nombreProyecto) {
		this.nombreProyecto = nombreProyecto;
	}

	public double getPrecioVenta() {
		return this.precioVenta;
	}

	public void setPrecioVenta(double precioVenta) {
		this.precioVenta = precioVenta;
	}

	public Date getPrevInicio() {
		return this.prevInicio;
	}

	public void setPrevInicio(Date prevInicio) {
		this.prevInicio = prevInicio;
	}

	public int getProbabilidad() {
		return this.probabilidad;
	}

	public void setProbabilidad(int probabilidad) {
		this.probabilidad = probabilidad;
	}

	public byte getSoporteComercial() {
		return this.soporteComercial;
	}

	public void setSoporteComercial(byte soporteComercial) {
		this.soporteComercial = soporteComercial;
	}

	public byte getUsoCentros() {
		return this.usoCentros;
	}

	public void setUsoCentros(byte usoCentros) {
		this.usoCentros = usoCentros;
	}

	public Actividad getActividad() {
		return this.actividad;
	}

	public void setActividad(Actividad actividad) {
		this.actividad = actividad;
	}

	public Cliente getCliente() {
		return this.cliente;
	}

	public void setCliente(Cliente cliente) {
		this.cliente = cliente;
	}

	public Contacto getContacto() {
		return this.contacto;
	}

	public void setContacto(Contacto contacto) {
		this.contacto = contacto;
	}

	public Estado getEstado() {
		return this.estado;
	}

	public void setEstado(Estado estado) {
		this.estado = estado;
	}

	public Usuario getPropietario() {
		return propietario;
	}

	public void setPropietario(Usuario propietario) {
		this.propietario = propietario;
	}

	public Usuario getCreador() {
		return creador;
	}

	public void setCreador(Usuario creador) {
		this.creador = creador;
	}

	public Usuario getModificador() {
		return modificador;
	}

	public void setModificador(Usuario modificador) {
		this.modificador = modificador;
	}

}