package com.tfg.om.business.repository.impl;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.springframework.stereotype.Repository;

import antlr.collections.impl.IntRange;

import com.jeveris.persistence.jpa.repository.impl.JPABaseRepositoryImpl;
import com.tfg.om.business.model.Contacto;
import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.repository.IContactoRepository;

@Repository
public class ContactoRepositoryImpl extends JPABaseRepositoryImpl<Contacto, Integer> implements IContactoRepository {

	@Override
	public List<Contacto> getAllContactos() {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("SELECT C.nombre  FROM Contacto C GROUP BY C.nombre");

		return query.getResultList();
	}

	@Override
	public Integer getId(String nombre) {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("select E.id from Contacto E where E.nombre='"+ nombre +"'");
		Integer id =  Integer.parseInt(query.getResultList().get(0).toString());
		return id;
	}
	

	@Override
	public List<Contacto> getContactosByOficina(Oficina oficina) {
		EntityManager em = getEntityManager();
		
		Query query = em.createNamedQuery("Contacto.findByOficina", Contacto.class);
		query.setParameter("oficinavalue", oficina);
		List<Contacto> contactos = query.getResultList();
		
		return contactos;
		
	}
}
