package com.tfg.om.business.repository.impl;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.springframework.stereotype.Repository;

import com.jeveris.persistence.jpa.repository.impl.JPABaseRepositoryImpl;
import com.tfg.om.business.model.Estado;
import com.tfg.om.business.model.Oportunidad;
import com.tfg.om.business.repository.IOportunidadRepository;

@Repository
public class OportunidadRepositoryImpl extends JPABaseRepositoryImpl<Oportunidad, Integer> implements IOportunidadRepository{
	
	@Override
	public List<Oportunidad> getByEstado(Estado e) {
		
		EntityManager em = getEntityManager();
		
		Query query = em.createNamedQuery("Oportunidad.findByEstado", Oportunidad.class);
		query.setParameter("estadovalue", e);
		List<Oportunidad> oportunidades = query.getResultList();
		
		return oportunidades;
	}
	
	@Override
	public Oportunidad getById(int id) {
		
		EntityManager em = getEntityManager();
		
		Query query = em.createNamedQuery("Oportunidad.findById", Oportunidad.class);
		query.setParameter("idvalue", id);
		Oportunidad oportunidad = (Oportunidad) query.getSingleResult();
		
		return oportunidad;
	}
		
	@Override
	public List<Oportunidad> getAllWithFiltered(int first, int pageSize) {
		
		return getAll(first, pageSize);
	}
	
	
	@Override
	public void removeById(int id) {

		EntityManager em = getEntityManager();
		
		Query q = em.createQuery("DELETE FROM Oportunidad o WHERE o.id =:idvalue");
		q.setParameter("idvalue", id);
		int deleted = q.executeUpdate();
		System.out.println(deleted + " oportunidad(es) eliminada(s)");
	}

}
