package com.tfg.om.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Contacto;
import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.repository.IContactoRepository;
import com.tfg.om.business.repository.ILugarRepository;
import com.tfg.om.business.repository.IOficinaRepository;
import com.tfg.om.business.service.IContactoService;

@Service
public class ContactoServiceImpl implements IContactoService {
	
	@Autowired
	private IContactoRepository contactoRepository;
	
	@Autowired
	private ILugarRepository lugarRepository;
	
	@Autowired
	private IOficinaRepository oficinaRepository;


	@Override
	public List<Contacto> getContactosByOficina(Oficina oficina) {
		List<Contacto> contactos = contactoRepository.getContactosByOficina(oficina);

		return contactos;
	}

	@Override
	public void setContacto(String cliente, String oficina, String pais, String ciudad) {
		Contacto contacto = new Contacto();

		Lugar lu = lugarRepository.get(lugarRepository.getId(pais, ciudad));
		Oficina of = oficinaRepository.get(oficinaRepository.getId(oficina));
		of.setLugar(lu);
		
		contacto.setOficina(of);
		contacto.setNombre(cliente);
		contactoRepository.add(contacto);

	}

	@Override
	public List<Contacto> getAllContactos() {
		return contactoRepository.getAll();
	}

	@Override
	public void setContacto(Contacto contacto) {
		contactoRepository.add(contacto);
	}

	@Override
	public void updateContacto(Contacto contacto) {
		contactoRepository.update(contacto);
	}

		
}
