package com.tfg.om.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.repository.ILugarRepository;
import com.tfg.om.business.repository.IOficinaRepository;
import com.tfg.om.business.service.ILugaresService;

@Service
public class LugarServiceImpl implements ILugaresService {

	@Autowired
	private ILugarRepository lugarRepository;
	
	@Autowired
	private IOficinaRepository oficinaRepository;

	@Override
	public List<Lugar> getAllPaises() {

		List<Lugar> lugares = lugarRepository.getAllPaises();

		return lugares;

	}

	@Override
	public List<Lugar> getCiudades(String pais) {

		List<Lugar> ciudades = lugarRepository.getCiudades(pais);

		return ciudades;

	}

	@Override
	public void setLugar(String pais , String ciudad) {

		Lugar lugar = new Lugar();
		lugar.setPais(pais);
		lugar.setCiudad(ciudad);

		lugarRepository.add(lugar);

	}

	@Override
	public void setOficina(String pais , String ciudad , String nombreOficia) {
				
		Oficina of = new Oficina();
		of.setNombreOficina(nombreOficia);
		of.setLugar(lugarRepository.get(lugarRepository.getId(pais, ciudad)));
		
		
		oficinaRepository.add(of);
	}

	@Override
	public void setOficina(Oficina oficina) {
		oficinaRepository.add(oficina);
		
	}

	@Override
	public List<Oficina> getOficinas(Lugar lugar) {
		return oficinaRepository.getOficinas(lugar);
	}

	@Override
	public List<Lugar> getAllLugares() {
		return lugarRepository.getAll();
	}

}
