package com.tfg.om.business.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.persistence.EntityManager;
import javax.xml.datatype.Duration;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Actividad;
import com.tfg.om.business.model.Cliente;
import com.tfg.om.business.model.Contacto;
import com.tfg.om.business.model.Estado;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.model.Oportunidad;
import com.tfg.om.business.model.Usuario;
import com.tfg.om.business.repository.IActividadRepository;
import com.tfg.om.business.repository.IClienteRepository;
import com.tfg.om.business.repository.IContactoRepository;
import com.tfg.om.business.repository.IEstadoRepository;
import com.tfg.om.business.repository.ILugarRepository;
import com.tfg.om.business.repository.IOficinaRepository;
import com.tfg.om.business.repository.IOportunidadRepository;
import com.tfg.om.business.repository.IRolRepository;
import com.tfg.om.business.repository.IUsuarioRepository;
import com.tfg.om.business.service.IOportunidadService;

@Service
public class OportunidadServiceImpl implements IOportunidadService {

	@Autowired
	private IOportunidadRepository oportunidadRepository;

	@Autowired
	private IEstadoRepository estadoRepository;

	@Autowired
	private IUsuarioRepository usuarioRepository;

	@Override
	public List<Oportunidad> getAllOportunidades() {
		return oportunidadRepository.getAll();
	}

	@Override
	public Oportunidad getOportunidad(int id) {
		return oportunidadRepository.getById(id);
	}

	@Override
	public void setOportunidad(Oportunidad oportunidad) {
		oportunidadRepository.add(oportunidad);
	}
	
	@Override
	public void updateOportunidad(Oportunidad oportunidad) {
		oportunidadRepository.update(oportunidad);
	}
	
	@Override
	public void removeOportunidad(int id) {
		oportunidadRepository.removeById(id);
	}

	@Override
	public List<Integer> getPorcentajes() {
		
		List<Integer> porcentajes = new ArrayList<Integer>();
		List<Estado> estados = estadoRepository.getAll();
		for (Estado estado: estados) {
			List<Oportunidad> oportunidades = oportunidadRepository.getByEstado(estado);
			porcentajes.add(oportunidades.size());
		}

		return porcentajes;
	}

}
