package com.tfg.om.web.controller.rest;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.jeveris.core.rest.service.response.wrapper.RestResponse;
import com.tfg.om.business.model.Actividad;
import com.tfg.om.web.service.IActividadWS;

@Controller
@RequestMapping("/actividad")
public class ActividadRestController {

	private static final Logger LOGGER = LoggerFactory
			.getLogger(ActividadRestController.class);
    
	@Autowired
	private IActividadWS actividadService;

	/**
	 * obtiene el listado de actividades del sector
	 * 
	 * @return obtiene el listado de actividades del sector
	 */
	@RequestMapping(value = "getSectores", method = RequestMethod.GET)
	@ResponseBody
	public List<Actividad> getSectores() {
		if (LOGGER.isDebugEnabled()) {
			LOGGER.debug("Invocado el servicio GET getSectores  ");
		}

		return actividadService.getAllSectores();			
	}
	
		
}
