package com.tfg.om.web.controller.rest;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.jeveris.core.rest.service.response.wrapper.RestResponse;
import com.tfg.om.business.model.Cliente;
import com.tfg.om.web.service.IClienteWS;

@Controller
@RequestMapping("/cliente")
public class ClienteRestController {

	private static final Logger LOGGER = LoggerFactory
			.getLogger(ClienteRestController.class);
    
	@Autowired
	private IClienteWS clienteService;

	/**
	 * obtiene el listado de clientes
	 * 
	 * @param
	 * @return listado de clientes
	 */
	@RequestMapping(value = "getClientes", method = RequestMethod.GET)
	@ResponseBody
	public  List<Cliente> getClientes() {
		List<Cliente> clientes;
		clientes = clienteService.getAllClientes();	
		return clientes;
	}
	
	

	/**
	 * agrega un cliente
	 * 
	 * @param	Nombre de la empresa del cliente
	 * @return resultado al guardar
	 */
	@RequestMapping(value = "setCliente/{cliente}", method = RequestMethod.GET)
	@ResponseBody
	public RestResponse<String> getCiudades(@PathVariable String cliente) {
		if (LOGGER.isDebugEnabled()) {
			LOGGER.debug("Invocado el servicio GET angular/setCliente  ");
		}

		clienteService.setCliente(cliente);
		
		RestResponse<String> resp = new RestResponse<String>();

		try {
			resp.setResponse("ok");
			resp.setSuccess(true);

		} catch (Exception e) {
			resp.setResponse("error");
			resp.setSuccess(false);
			resp.setErrorMessage(e.getMessage());
		}

		return resp;
	}
	
	
	
}
