package com.tfg.om.web.controller.rest;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.tfg.om.business.model.Estado;
import com.tfg.om.web.service.IEstadoWS;

@Controller
@RequestMapping("/estado")
public class EstadoRestController {

	@Autowired
	private IEstadoWS estadoService;

	/**
	 * obtiene los diferentes estados
	 * 
	 * @param
	 * @return obtiene los diferentes estados
	 */
	@RequestMapping(value = "getEstados", method = RequestMethod.GET)
	@ResponseBody
	public List<Estado> getPorcentajes() {
		
		List<Estado> estados = estadoService.getEstados();
			
		return estados;
	}

	
}
