package com.tfg.om.web.controller.rest;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.jeveris.core.rest.service.response.wrapper.RestResponse;
import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.web.service.IOficinaWS;

@Controller
@RequestMapping("/oficina")
public class OficinaRestController {

	private static final Logger LOGGER = LoggerFactory
			.getLogger(OficinaRestController.class);
    
	@Autowired
	private IOficinaWS oficinaService;

	/**
	 * obtiene el listado de oficinas
	 * 
	 * @param
	 * @return listado de oficinas
	 */
	@RequestMapping(value = "getOficinas", method = RequestMethod.GET)
	@ResponseBody
	public List<Oficina> getOficinas() {
		List<Oficina> oficinas;
		
		oficinas = oficinaService.getAllOficinas();
			
		return oficinas;
	}	
	
	/**
	 * agrega un oficina
	 * 
	 * @param contaco Nombre del oficina
	 * @param lugar Lugar asociada a ese oficina
	 * @return resultado al guardar
	 */
	@RequestMapping(value = "oficina", method = RequestMethod.GET)
	@ResponseBody
	public void nuevaOficina(@RequestBody Oficina oficina) {

		oficinaService.setOficina(oficina);
	}
	
	@RequestMapping(value = "oficina/{id}", method = RequestMethod.GET)
	@ResponseBody
	public void updateOficina(@RequestBody Oficina oficina) {
		oficinaService.updateOficina(oficina);
	}
	
	
	
}
