package com.tfg.om.web.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Contacto;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.service.IContactoService;
import com.tfg.om.web.service.IContactoWS;

@Service
public class ContactoWSImpl implements IContactoWS {

	@Autowired
	private IContactoService contactoService;

	@Override
	public List<Contacto> getContactosByOficina(Oficina oficina) {
		List<Contacto> contactos =	contactoService.getContactosByOficina(oficina);
		return contactos;
	}

	@Override
	public void setContacto(String cliente, String oficina, String pais, String ciudad) {
		contactoService.setContacto(cliente,oficina,pais,ciudad);
		
	}

	@Override
	public List<Contacto> getAllContactos() {
		return contactoService.getAllContactos();
	}

	@Override
	public void setContacto(Contacto contacto) {
		contactoService.setContacto(contacto);
		
	}

	@Override
	public void updateContacto(Contacto contacto) {
		contactoService.updateContacto(contacto);
	}

	

	
}
