package com.tfg.om.web.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.service.ILugaresService;
import com.tfg.om.web.service.ILugaresWS;

@Service
public class LugaresWSImpl implements ILugaresWS {

	@Autowired
	private ILugaresService lugarService;

	@Override
	public ArrayList<Lugar> getAllPaises() {

		ArrayList<Lugar> lugares = new ArrayList<Lugar>(
				lugarService.getAllPaises());
		return lugares;
	}

	@Override
	public ArrayList<Lugar> getCiudades(String pais) {

		ArrayList<Lugar> ciudades = new ArrayList<Lugar>(
				lugarService.getCiudades(pais));
		return ciudades;
	}

	@Override
	public void setLugares(String pais, String ciudad) {
		lugarService.setLugar(pais, ciudad);
	}

	@Override
	public void setOficina(String pais, String ciudad, String nombreOficia) {
		lugarService.setOficina(pais, ciudad, nombreOficia);

	}

	@Override
	public void setOficina(Oficina oficina) {
		lugarService.setOficina(oficina);
		
	}

	@Override
	public List<Oficina> getOficinas(Lugar lugar) {
		return lugarService.getOficinas(lugar);
	}

	@Override
	public List<Lugar> getAllLugares() {
		return lugarService.getAllLugares();
	}

}
