package com.tfg.om.web.service.impl;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Oportunidad;
import com.tfg.om.business.model.Usuario;
import com.tfg.om.business.service.IOportunidadService;
import com.tfg.om.web.service.IOportunidadWS;

@Service
public class OportunidadWSImpl implements IOportunidadWS {

	@Autowired
	private IOportunidadService oportunidadService;
	

	@Override
	public List<Oportunidad> getAllOp() {
		
		List<Oportunidad> oportunidades = new ArrayList<Oportunidad>(oportunidadService.getAllOportunidades());				
		return oportunidades;		
		
	}
	
	@Override
	public Oportunidad getOportunidad(int id) {
		
		Oportunidad oportunidad = oportunidadService.getOportunidad(id);				
		return oportunidad;		
	}
	
	
	@Override
	public List<Integer> getPorcentajes() {
		
		List<Integer> porcentajes = oportunidadService.getPorcentajes();
		
		return porcentajes;
	}

	@Override
	public void setOportunidad(Oportunidad oportunidad) {
		oportunidadService.setOportunidad(oportunidad);
		
	}

	@Override
	public void updateOportunidad(Oportunidad oportunidad) {
		oportunidadService.updateOportunidad(oportunidad);
	}
	
	@Override
	public void removeOportunidad(int id) {
		oportunidadService.removeOportunidad(id);
	}
	

}
